import { Context, DefaultState } from 'koa';
import Router from 'koa-router';
import controllers from '@controllers';

// api 路由
const apiRouter = new Router<DefaultState, Context>();
apiRouter.get('/code', controllers.code);
apiRouter.put('/register', controllers.user.register);
apiRouter.post('/login', controllers.user.login);
apiRouter.get('/logout', controllers.user.logout);
apiRouter.get('/user-info', controllers.user.userInfo);
apiRouter.put('/document', controllers.document.putDocument);
// 主路由
const router = new Router<DefaultState, Context>();
router.get('/', controllers.home);
// api路由以/api前缀
router.use('/api', apiRouter.routes(), apiRouter.allowedMethods());

export default router;
